For the complete documentation index, see llms.txt. This page is also available as Markdown.

Current user

Get Current User

get

Returns the model of the authenticated user.

Args: auth_context: The authentication context.

Returns: The model of the authenticated user.

Authorizations
OAuth2passwordRequired
Token URL:
Responses
200

Successful Response

application/json

Response model for user and service accounts.

This returns the activation_token that is required for the user-invitation-flow of the frontend. The email is returned optionally as well for use by the analytics on the client-side.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/current-user
GET /api/v1/current-user HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "active": false,
    "activation_token": "text",
    "full_name": "",
    "email_opted_in": true,
    "is_service_account": true,
    "is_admin": true,
    "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
    "avatar_url": "text"
  },
  "metadata": {
    "password_changed_at": "2026-01-01T00:00:00.000Z",
    "email": "",
    "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
    "user_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "resources": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}
ZenML Scarf

Last updated

Was this helpful?